summaryrefslogtreecommitdiff
path: root/sh/gendepends.sh.in
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2008-03-02 21:14:01 +0000
committerRoy Marples <roy@marples.name>2008-03-02 21:14:01 +0000
commit67c5fd6bb8f1d489f7dd012a63a370f20fbe02da (patch)
treecf413352b5ec98209db226158b2a5113ce14936c /sh/gendepends.sh.in
parenta12dbdc6c93a7d63591610378e3e570b7c7d2143 (diff)
downloadopenrc-67c5fd6bb8f1d489f7dd012a63a370f20fbe02da.tar.gz
openrc-67c5fd6bb8f1d489f7dd012a63a370f20fbe02da.tar.bz2
openrc-67c5fd6bb8f1d489f7dd012a63a370f20fbe02da.tar.xz
Ensure that our scripts call prefixed runscript.
Diffstat (limited to 'sh/gendepends.sh.in')
-rw-r--r--sh/gendepends.sh.in8
1 files changed, 4 insertions, 4 deletions
diff --git a/sh/gendepends.sh.in b/sh/gendepends.sh.in
index 8e30a64..fad7665 100644
--- a/sh/gendepends.sh.in
+++ b/sh/gendepends.sh.in
@@ -4,7 +4,7 @@
# Copyright 2007-2008 Roy Marples <roy@marples.name>
# All rights reserved. Released under the 2-clause BSD license.
-. /etc/init.d/functions.sh
+. @PREFIX@/etc/init.d/functions.sh
config() {
[ -n "$*" ] && echo "${SVCNAME} config $*" >&3
@@ -31,7 +31,7 @@ depend() {
:
}
-for _dir in /etc/init.d /usr/local/etc/init.d; do
+for _dir in @PREFIX@/etc/init.d @PKG_PREFIX@/etc/init.d; do
[ -d "${_dir}" ] || continue
cd "${_dir}"
for SVCNAME in *; do
@@ -39,7 +39,7 @@ for _dir in /etc/init.d /usr/local/etc/init.d; do
# Only generate dependencies for runscripts
read one two < "${SVCNAME}"
- [ "${one}" = "#!/sbin/runscript" ] || continue
+ [ "${one}" = "#!@PREFIX@/sbin/runscript" ] || continue
unset one two
export SVCNAME=${SVCNAME##*/}
@@ -59,7 +59,7 @@ for _dir in /etc/init.d /usr/local/etc/init.d; do
. "${_dir}/../conf.d/${SVCNAME}"
fi
- [ -e /etc/rc.conf ] && . /etc/rc.conf
+ [ -e @PREFIX@/etc/rc.conf ] && . @PREFIX@/etc/rc.conf
if . "${_dir}/${SVCNAME}"; then
echo "${SVCNAME}" >&3